Update Project
Update a project’s fields.
PATCH
/
v1
/
projects
/
{project_id}
Update Project
curl --request PATCH \
--url https://api.example.com/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"instructions": "<string>",
"name": "<string>",
"parent_project_id": "<string>"
}
'import requests
url = "https://api.example.com/v1/projects/{project_id}"
payload = {
"description": "<string>",
"instructions": "<string>",
"name": "<string>",
"parent_project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
instructions: '<string>',
name: '<string>',
parent_project_id: '<string>'
})
};
fetch('https://api.example.com/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_by": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"name": "<string>",
"parent_project_id": "<string>",
"workspace_id": "<string>",
"agents": [],
"mcp_instances": [],
"skills": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Patch payload for a project. All fields optional — unset = unchanged.
New project description.
Maximum string length:
1000New project-level instructions.
Maximum string length:
20000New project name.
Required string length:
1 - 255New parent project UUID, or null to detach.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 21, 2026
⌘I
Update Project
